&ANALYZE-SUSPEND _VERSION-NUMBER UIB_v7r11
&ANALYZE-RESUME
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CUSTOM _DEFINITIONS Method-Library 
/*------------------------------------------------------------------------


Description:    Method Library Template

Arguments:      <none>

Comments:       

------------------------------------------------------------------------*/
/*          This .W file was created with the Progress UIB.             */
/*----------------------------------------------------------------------*/

/* ***************************  Definitions  ************************** */

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&ANALYZE-SUSPEND _UIB-PREPROCESSOR-BLOCK 

/* ********************  Preprocessor Definitions  ******************** */



/* _UIB-PREPROCESSOR-BLOCK-END */
&ANALYZE-RESUME


/* ************************  Function Prototypes ********************** */

&IF DEFINED(EXCLUDE-FcGetKeyValue) = 0 &THEN

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _FUNCTION-FORWARD FcGetKeyValue Method-Library 
FUNCTION FcGetKeyValue RETURNS CHARACTER
    ( INPUT IcKey AS CHARACTER, INPUT IcKey&ValList AS CHARACTER )  FORWARD.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ENDIF

&IF DEFINED(EXCLUDE-FcSetKeyValue) = 0 &THEN

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _FUNCTION-FORWARD FcSetKeyValue Method-Library 
FUNCTION FcSetKeyValue RETURNS CHARACTER
  ( INPUT IcKey AS CHARACTER,
    INPUT IcValue AS CHARACTER,
    INPUT IcKey&ValList AS CHARACTER )  FORWARD.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ENDIF


/* *********************** Procedure Settings ************************ */

&ANALYZE-SUSPEND _PROCEDURE-SETTINGS
/* Settings for THIS-PROCEDURE
   Type: Method-Library
   Allow: 
   Frames: 0
   Add Fields to: Neither
   Other Settings: INCLUDE-ONLY
 */
&ANALYZE-RESUME _END-PROCEDURE-SETTINGS

/* *************************  Create Window  ************************** */

&ANALYZE-SUSPEND _CREATE-WINDOW
/* DESIGN Window definition (used by the UIB) 
  CREATE WINDOW Method-Library ASSIGN
         HEIGHT             = 8.62
         WIDTH              = 40.
/* END WINDOW DEFINITION */
                                                                        */
&ANALYZE-RESUME
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _XFTR "MethodLibraryCues" Method-Library _INLINE
/* Actions: adecomm/_so-cue.w ? adecomm/_so-cued.p ? adecomm/_so-cuew.p */
/* Method Library
Destroy on next read */
/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CUSTOM _INCLUDED-LIB Method-Library 
/* ************************* Included-Libraries *********************** */

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


 


&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CUSTOM _MAIN-BLOCK Method-Library 


/* ***************************  Main Block  *************************** */

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


/* ************************  Function Implementations ***************** */

&IF DEFINED(EXCLUDE-FcGetKeyValue) = 0 &THEN

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _FUNCTION FcGetKeyValue Method-Library 
FUNCTION FcGetKeyValue RETURNS CHARACTER
    ( INPUT IcKey AS CHARACTER, INPUT IcKey&ValList AS CHARACTER ) :
/*------------------------------------------------------------------------------
  Purpose:  Returns the value of an argument
    Notes:  A list of arguments may be passed in.
------------------------------------------------------------------------------*/
    DEFINE VARIABLE ViPos    AS INTEGER    NO-UNDO.
    DEFINE VARIABLE VcString AS CHARACTER  NO-UNDO     INITIAL ?.
    
    /* Get where the Key= string starts */
    ViPos = INDEX(IcKey&ValList,IcKey + "=").
    
    IF      ViPos > 0
    THEN DO:
        VcString = SUBSTRING(IcKey&ValList,ViPos).
    
        /* Now get where key=value string ends - either with a CHR(1) OR end of string */
        ViPos = INDEX(VcString,CHR(1)).
        IF      ViPos > 0
        THEN    VcString = SUBSTRING(VcString,1,ViPos - 1).
    
        /* Finally get the value of the argument */
        VcString = SUBSTRING(VcString,LENGTH(IcKey) + 2).
    END.
    
    /* Convert CHR(2)'s back to ? */
    IF VcString = CHR(2)
    THEN VcString = ?.

    RETURN  VcString.  /* Convert any vars into their values */
    
END FUNCTION.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ENDIF

&IF DEFINED(EXCLUDE-FcSetKeyValue) = 0 &THEN

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _FUNCTION FcSetKeyValue Method-Library 
FUNCTION FcSetKeyValue RETURNS CHARACTER
  ( INPUT IcKey AS CHARACTER,
    INPUT IcValue AS CHARACTER,
    INPUT IcKey&ValList AS CHARACTER ) :
/*------------------------------------------------------------------------------
  Purpose:  Adds a key/value pairing to a key/value list
    Notes:  
------------------------------------------------------------------------------*/
    DEFINE VARIABLE VcRetKey&ValList AS CHARACTER NO-UNDO.
    DEFINE VARIABLE ViEntry AS INTEGER NO-UNDO.


    IF IcValue = ?
    THEN IcValue = CHR(2).

    VcRetKey&ValList = IcKey&ValList.

    /* First, see whether Key/Value pair is within list.
    Easiest, but probably not very efficient way is to go through each of the entries in turn */
    
    DO ViEntry = 1 TO NUM-ENTRIES(IcKey&ValList,CHR(1)):
        IF ENTRY(ViEntry,VcRetKey&ValList,CHR(1)) BEGINS IcKey + "="
        THEN DO:
            ENTRY(ViEntry,VcRetKey&ValList,CHR(1)) = IcKey + "=" + IcValue.
            RETURN VcRetKey&ValList.
        END.
    END.

    /* If we are here, then key wasn't already in list */
    IF IcKey&ValList > ""
    THEN VcRetKey&ValList = VcRetKey&ValList + CHR(1).
    
    VcRetKey&ValList = VcRetKey&ValList + IcKey + "=" + IcValue.

    RETURN VcRetKey&ValList.
  
END FUNCTION.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ENDIF

