&ANALYZE-SUSPEND _VERSION-NUMBER UIB_v8r11 GUI
&ANALYZE-RESUME
&Scoped-define WINDOW-NAME CURRENT-WINDOW
&Scoped-define FRAME-NAME DialogFrame
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CUSTOM _DEFINITIONS DialogFrame 

/*------------------------------------------------------------------------

Description:    from cntnrdlg.w - SmartDialog Template

Arguments:      <none>

Comments:       

------------------------------------------------------------------------*/
/*          This .W file was created with the Progress UIB.             */
/*----------------------------------------------------------------------*/

/* ***************************  Definitions  ************************** */

/* Parameters Definitions ---                                           */
&IF DEFINED(UIB_IS_RUNNING)=0 &THEN
    
DEFINE INPUT PARAMETER IcTitle AS CHARACTER NO-UNDO.
DEFINE INPUT PARAMETER IdtInputDate AS DATE NO-UNDO.
DEFINE OUTPUT PARAMETER OdtOutputDate AS DATE NO-UNDO INITIAL ?.

&ELSE

DEFINE VARIABLE IcTitle AS CHARACTER NO-UNDO INITIAL "Select Date".
DEFINE VARIABLE IdtInputDate AS DATE NO-UNDO INITIAL 03/01/1973.
DEFINE VARIABLE OdtOutputDate AS DATE NO-UNDO.

&ENDIF

&SCOPED-DEFINE MIN_YEAR 1850
&SCOPED-DEFINE MAX_YEAR 2150


DEFINE VARIABLE LcMonthName AS CHARACTER EXTENT 12 INITIAL ["January","February","March","April","May","June","July","August","September","October","November","December"]  NO-UNDO.

/* Local Variable Definitions ---                                       */
DEFINE VARIABLE l-focus-wh      AS      HANDLE  NO-UNDO.

DEFINE VARIABLE LhButton AS HANDLE NO-UNDO EXTENT 49.  /* Lets stick the days of the week on disabled buttons as well */

DEFINE VARIABLE LhButtonSelectedDate AS HANDLE NO-UNDO.
DEFINE VARIABLE LdtSelectedDate AS DATE NO-UNDO.
DEFINE VARIABLE LiSelectedDateIdx AS INTEGER   NO-UNDO.
DEFINE VARIABLE LhTodayRectangle AS HANDLE NO-UNDO.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&ANALYZE-SUSPEND _UIB-PREPROCESSOR-BLOCK 

/* ********************  Preprocessor Definitions  ******************** */

&Scoped-define PROCEDURE-TYPE DIALOG-BOX
&Scoped-define DB-AWARE no

/* Name of designated FRAME-NAME and/or first browse and/or first query */
&Scoped-define FRAME-NAME DialogFrame

/* Standard List Definitions                                            */
&Scoped-Define ENABLED-OBJECTS BtnNextMonth BtnNextYear BtnToday ~
BtnPrevMonth Btn_OK Btn_Cancel LiSelectedDay LiSelectedMonth LiSelectedYear ~
BtnPrevYear RECT-1 rectSelectedDate RECT-2 RECT-3 
&Scoped-Define DISPLAYED-OBJECTS LiSelectedDay LiSelectedMonth ~
LiSelectedYear 

/* Custom List Definitions                                              */
/* List-1,List-2,List-3,List-4,List-5,List-6                            */

/* _UIB-PREPROCESSOR-BLOCK-END */
&ANALYZE-RESUME


/* ************************  Function Prototypes ********************** */

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _FUNCTION-FORWARD FiDaysInMonthForDate DialogFrame 
FUNCTION FiDaysInMonthForDate RETURNS INTEGER
  ( INPUT IdtDate AS DATE )  FORWARD.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


/* ***********************  Control Definitions  ********************** */

/* Define a dialog box                                                  */

/* Definitions of the field level widgets                               */
DEFINE BUTTON BtnNextMonth  NO-FOCUS FLAT-BUTTON
     LABEL ">" 
     SIZE 6.4 BY 1.05 TOOLTIP "April"
     FONT 10.

DEFINE BUTTON BtnNextYear  NO-FOCUS FLAT-BUTTON
     LABEL ">>" 
     SIZE 6.4 BY 1.05 TOOLTIP "1974"
     FONT 10.

DEFINE BUTTON BtnPrevMonth  NO-FOCUS FLAT-BUTTON
     LABEL "<" 
     SIZE 6.4 BY 1.05 TOOLTIP "April"
     FONT 10.

DEFINE BUTTON BtnPrevYear  NO-FOCUS FLAT-BUTTON
     LABEL "<<" 
     SIZE 6.4 BY 1.05 TOOLTIP "April"
     FONT 10.

DEFINE BUTTON BtnToday  NO-FOCUS FLAT-BUTTON
     LABEL "&Today" 
     SIZE 8 BY 1.05 TOOLTIP "22/04/2015"
     FONT 10.

DEFINE BUTTON Btn_Cancel AUTO-END-KEY 
     LABEL "Cancel" 
     SIZE 14 BY 1.1
     BGCOLOR 8 FONT 10.

DEFINE BUTTON Btn_OK AUTO-GO 
     LABEL "OK" 
     SIZE 14 BY 1.1
     BGCOLOR 8 FONT 10.

DEFINE VARIABLE LiSelectedDay AS INTEGER FORMAT ">9":U INITIAL 0 
     VIEW-AS COMBO-BOX INNER-LINES 12
     LIST-ITEMS "         1","         2","         3","         4","         5","         6","         7","         8","         9","        10","        11","        12","        13","        14","        15","        16","        17","        18","        19","        20" 
     DROP-DOWN-LIST
     SIZE 12.8 BY 1.24
     FONT 9 NO-UNDO.

DEFINE VARIABLE LiSelectedMonth AS INTEGER FORMAT "->,>>>,>>9":U INITIAL 0 
     VIEW-AS COMBO-BOX INNER-LINES 12
     LIST-ITEM-PAIRS "January",1,
                     "February",2,
                     "March",3,
                     "April",4,
                     "May",5,
                     "June",6,
                     "July",7,
                     "August",8,
                     "September",9,
                     "October",10,
                     "November",11,
                     "December",12
     DROP-DOWN-LIST
     SIZE 18.6 BY 1.24
     FONT 9 NO-UNDO.

DEFINE VARIABLE LiSelectedYear AS INTEGER FORMAT "9999":U INITIAL ? 
     VIEW-AS COMBO-BOX INNER-LINES 12
     LIST-ITEMS "1970","1971","1972","1973","1974","1975","1976","1977","1978","1979","1980","1981","1982" 
     DROP-DOWN-LIST
     SIZE 12.8 BY 1.24
     FONT 9 NO-UNDO.

DEFINE RECTANGLE RECT-1
     EDGE-PIXELS 2 GRAPHIC-EDGE  NO-FILL   
     SIZE 45.8 BY 1.1.

DEFINE RECTANGLE RECT-2
     EDGE-PIXELS 2 GRAPHIC-EDGE  NO-FILL   
     SIZE 13.6 BY 7.48.

DEFINE RECTANGLE RECT-3
     EDGE-PIXELS 2 GRAPHIC-EDGE  NO-FILL   
     SIZE 45.8 BY 7.48.

DEFINE RECTANGLE RectClassicBackground
     EDGE-PIXELS 0    
     SIZE 45.6 BY 7.29
     BGCOLOR 8 .

DEFINE RECTANGLE rectSelectedDate
     EDGE-PIXELS 1 GRAPHIC-EDGE  NO-FILL   
     SIZE 6.4 BY 1.05.


/* ************************  Frame Definitions  *********************** */

DEFINE FRAME DialogFrame
     BtnNextMonth AT ROW 10.24 COL 34.4 WIDGET-ID 22
     BtnNextYear AT ROW 10.24 COL 41 WIDGET-ID 24
     BtnToday AT ROW 10.29 COL 20.6 WIDGET-ID 16
     BtnPrevMonth AT ROW 10.24 COL 8.8 WIDGET-ID 26
     Btn_OK AT ROW 11.38 COL 2.2
     Btn_Cancel AT ROW 11.38 COL 34
     LiSelectedDay AT ROW 1.48 COL 2.2 NO-LABEL WIDGET-ID 10
     LiSelectedMonth AT ROW 1.48 COL 15.6 NO-LABEL WIDGET-ID 12
     LiSelectedYear AT ROW 1.48 COL 34.76 NO-LABEL WIDGET-ID 14
     BtnPrevYear AT ROW 10.24 COL 2.4 WIDGET-ID 28
     RECT-1 AT ROW 2.71 COL 2.2
     rectSelectedDate AT ROW 4 COL 22.4 WIDGET-ID 4
     RECT-2 AT ROW 2.71 COL 34.4 WIDGET-ID 6
     RECT-3 AT ROW 2.71 COL 2.2 WIDGET-ID 8
     RectClassicBackground AT ROW 2.81 COL 2.2 WIDGET-ID 30
     SPACE(0.2) SKIP(2.43)
    WITH VIEW-AS DIALOG-BOX KEEP-TAB-ORDER 
         SIDE-LABELS NO-UNDERLINE THREE-D  SCROLLABLE 
         FONT 10
         TITLE "Select Date"
         DEFAULT-BUTTON Btn_OK CANCEL-BUTTON Btn_Cancel WIDGET-ID 100.


/* *********************** Procedure Settings ************************ */

&ANALYZE-SUSPEND _PROCEDURE-SETTINGS
/* Settings for THIS-PROCEDURE
   Type: DIALOG-BOX
   Allow: Basic,Browse,DB-Fields,Query
   Other Settings: COMPILE
 */
&ANALYZE-RESUME _END-PROCEDURE-SETTINGS



/* ***********  Runtime Attributes and AppBuilder Settings  *********** */

&ANALYZE-SUSPEND _RUN-TIME-ATTRIBUTES
/* SETTINGS FOR DIALOG-BOX DialogFrame
   FRAME-NAME Custom                                                    */
ASSIGN 
       FRAME DialogFrame:SCROLLABLE       = FALSE
       FRAME DialogFrame:HIDDEN           = TRUE.

/* SETTINGS FOR COMBO-BOX LiSelectedDay IN FRAME DialogFrame
   ALIGN-L                                                              */
/* SETTINGS FOR COMBO-BOX LiSelectedMonth IN FRAME DialogFrame
   ALIGN-L                                                              */
/* SETTINGS FOR COMBO-BOX LiSelectedYear IN FRAME DialogFrame
   ALIGN-L                                                              */
/* SETTINGS FOR RECTANGLE RectClassicBackground IN FRAME DialogFrame
   NO-ENABLE                                                            */
ASSIGN 
       RectClassicBackground:HIDDEN IN FRAME DialogFrame           = TRUE.

/* _RUN-TIME-ATTRIBUTES-END */
&ANALYZE-RESUME

 



/* ************************  Control Triggers  ************************ */

&Scoped-define SELF-NAME DialogFrame
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL DialogFrame DialogFrame
ON WINDOW-CLOSE OF FRAME DialogFrame /* Select Date */
DO:
  APPLY "END-ERROR":U TO SELF.
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME BtnNextMonth
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL BtnNextMonth DialogFrame
ON CHOOSE OF BtnNextMonth IN FRAME DialogFrame /* > */
DO:
    DEFINE VARIABLE iNextMonth AS INTEGER NO-UNDO.
    DEFINE VARIABLE iNextMonthsYear AS INTEGER NO-UNDO.

    iNextMonth = (LiSelectedMonth MODULO 12) + 1.
    iNextMonthsYear = LiSelectedYear + (IF iNextMonth = 1 THEN 1 ELSE 0).

    RUN PSetDate(DATE(iNextMonth,MIN(FiDaysInMonthForDate(DATE(iNextMonth,1,iNextMonthsYear)),LiSelectedDay),iNextMonthsYear)).
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME BtnNextYear
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL BtnNextYear DialogFrame
ON CHOOSE OF BtnNextYear IN FRAME DialogFrame /* >> */
DO:
    RUN PSetDate(DATE(LiSelectedMonth,MIN(FiDaysInMonthForDate(DATE(LiSelectedMonth,1,LiSelectedYear + 1)),LiSelectedDay),LiSelectedYear + 1)).
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME BtnPrevMonth
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL BtnPrevMonth DialogFrame
ON CHOOSE OF BtnPrevMonth IN FRAME DialogFrame /* < */
DO:
    DEFINE VARIABLE iPrevMonth AS INTEGER NO-UNDO.
    DEFINE VARIABLE iPrevMonthsYear AS INTEGER NO-UNDO.

    iPrevMonth = ((LiSelectedMonth - 2) MODULO 12) + 1.
    iPrevMonthsYear = LiSelectedYear - (IF iPrevMonth = 12 THEN 1 ELSE 0).

    RUN PSetDate(DATE(iPrevMonth,MIN(FiDaysInMonthForDate(DATE(iPrevMonth,1,iPrevMonthsYear)),LiSelectedDay),iPrevMonthsYear)).
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME BtnPrevYear
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL BtnPrevYear DialogFrame
ON CHOOSE OF BtnPrevYear IN FRAME DialogFrame /* << */
DO:
  RUN PSetDate(DATE(LiSelectedMonth,MIN(FiDaysInMonthForDate(DATE(LiSelectedMonth,1,LiSelectedYear - 1)),LiSelectedDay),LiSelectedYear - 1)).
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME BtnToday
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL BtnToday DialogFrame
ON CHOOSE OF BtnToday IN FRAME DialogFrame /* Today */
DO:
  RUN PSetDate(TODAY).  
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL BtnToday DialogFrame
ON MOUSE-SELECT-DBLCLICK OF BtnToday IN FRAME DialogFrame /* Today */
DO:
    APPLY "CHOOSE" TO Btn_OK.
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME Btn_OK
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL Btn_OK DialogFrame
ON ALT-T OF Btn_OK IN FRAME DialogFrame /* OK */
DO:
    APPLY "CHOOSE" TO BtnToday.
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL Btn_OK DialogFrame
ON CHOOSE OF Btn_OK IN FRAME DialogFrame /* OK */
DO:
    OdtOutputDate = LdtSelectedDate.
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL Btn_OK DialogFrame
ON CURSOR-DOWN OF Btn_OK IN FRAME DialogFrame /* OK */
DO:
  RUN PSetDate(LdtSelectedDate + 7).
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL Btn_OK DialogFrame
ON CURSOR-LEFT OF Btn_OK IN FRAME DialogFrame /* OK */
DO:
  RUN PSetDate(LdtSelectedDate - 1).
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL Btn_OK DialogFrame
ON CURSOR-RIGHT OF Btn_OK IN FRAME DialogFrame /* OK */
DO:
    RUN PSetDate(LdtSelectedDate + 1).
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL Btn_OK DialogFrame
ON CURSOR-UP OF Btn_OK IN FRAME DialogFrame /* OK */
DO:
  RUN PSetDate(LdtSelectedDate - 7).
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL Btn_OK DialogFrame
ON PAGE-DOWN OF Btn_OK IN FRAME DialogFrame /* OK */
DO:
    APPLY "CHOOSE" TO BtnNextMonth.
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL Btn_OK DialogFrame
ON PAGE-UP OF Btn_OK IN FRAME DialogFrame /* OK */
DO:
    APPLY "CHOOSE" TO BtnPrevMonth.
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME LiSelectedDay
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL LiSelectedDay DialogFrame
ON VALUE-CHANGED OF LiSelectedDay IN FRAME DialogFrame
DO:
    ASSIGN {&SELF-NAME}.
    RUN PSetDate(DATE(LiSelectedMonth,LiSelectedDay,LiSelectedYear)).
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME LiSelectedMonth
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL LiSelectedMonth DialogFrame
ON VALUE-CHANGED OF LiSelectedMonth IN FRAME DialogFrame
DO:
    ASSIGN {&SELF-NAME}.

    /* Might have to adjust the date backwards if the current day is more than the value in the month */
    RUN PSetDate(DATE(LiSelectedMonth,
                      MIN(LiSelectedDay,FiDaysInMonthForDate(DATE(LiSelectedMonth,1,LiSelectedYear))),
                      LiSelectedYear)).
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME LiSelectedYear
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL LiSelectedYear DialogFrame
ON VALUE-CHANGED OF LiSelectedYear IN FRAME DialogFrame
DO:
    ASSIGN {&SELF-NAME}.

    /* Might have to adjust the date backwards if the current day is more than the value in the month - can only occur 
    for year combo if going from leap date to a non leap date */
    RUN PSetDate(DATE(LiSelectedMonth,
                      MIN(LiSelectedDay,FiDaysInMonthForDate(DATE(LiSelectedMonth,1,LiSelectedYear))),
                      LiSelectedYear)).
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&UNDEFINE SELF-NAME

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CUSTOM _MAIN-BLOCK DialogFrame 


/* ***************************  Main Block  *************************** */

/* Parent the dialog-box to the ACTIVE-WINDOW, if there is no parent.   */
IF VALID-HANDLE(ACTIVE-WINDOW) AND FRAME {&FRAME-NAME}:PARENT eq ?
THEN FRAME {&FRAME-NAME}:PARENT = ACTIVE-WINDOW.

RUN PSetDialogCoordinates. 

/* Now enable the interface and wait for the exit condition.            */
/* (NOTE: handle ERROR and END-KEY so cleanup code will always fire.    */
MAIN-BLOCK:
DO  /* TRANSACTION  Uncomment to have a dialog with transaction properties */
    ON ERROR   UNDO MAIN-BLOCK, LEAVE MAIN-BLOCK
    ON END-KEY UNDO MAIN-BLOCK, LEAVE MAIN-BLOCK
    WITH FRAME {&FRAME-NAME}: /* Scope frame everywhere */

    RUN PInitialize.

    RUN enable_UI.

    IF      VALID-HANDLE(l-focus-wh)
    THEN    WAIT-FOR GO OF FRAME {&FRAME-NAME} FOCUS l-focus-wh.
    ELSE    WAIT-FOR GO OF FRAME {&FRAME-NAME}.
END.
RUN disable_UI.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


/* **********************  Internal Procedures  *********************** */

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _PROCEDURE disable_UI DialogFrame  _DEFAULT-DISABLE
PROCEDURE disable_UI :
/*------------------------------------------------------------------------------
  Purpose:     DISABLE the User Interface
  Parameters:  <none>
  Notes:       Here we clean-up the user-interface by deleting
               dynamic widgets we have created and/or hide 
               frames.  This procedure is usually called when
               we are ready to "clean-up" after running.
------------------------------------------------------------------------------*/
  /* Hide all frames. */
  HIDE FRAME DialogFrame.
END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _PROCEDURE enable_UI DialogFrame  _DEFAULT-ENABLE
PROCEDURE enable_UI :
/*------------------------------------------------------------------------------
  Purpose:     ENABLE the User Interface
  Parameters:  <none>
  Notes:       Here we display/view/enable the widgets in the
               user-interface.  In addition, OPEN all queries
               associated with each FRAME and BROWSE.
               These statements here are based on the "Other 
               Settings" section of the widget Property Sheets.
------------------------------------------------------------------------------*/
  DISPLAY LiSelectedDay LiSelectedMonth LiSelectedYear 
      WITH FRAME DialogFrame.
  ENABLE BtnNextMonth BtnNextYear BtnToday BtnPrevMonth Btn_OK Btn_Cancel 
         LiSelectedDay LiSelectedMonth LiSelectedYear BtnPrevYear RECT-1 
         rectSelectedDate RECT-2 RECT-3 
      WITH FRAME DialogFrame.
  VIEW FRAME DialogFrame.
  {&OPEN-BROWSERS-IN-QUERY-DialogFrame}
END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _PROCEDURE PInitialize DialogFrame 
PROCEDURE PInitialize :
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  <none>
  Notes:       
------------------------------------------------------------------------------*/

    DEFINE VARIABLE iRow AS INTEGER NO-UNDO.
    DEFINE VARIABLE iCol AS INTEGER NO-UNDO.
    DEFINE VARIABLE iCount AS INTEGER NO-UNDO.

    DEFINE VARIABLE hFrame AS HANDLE NO-UNDO.

    &SCOPED-DEFINE DAYS_OF_THE_WEEK Mon,Tue,Wed,Thu,Fri,Sat,Sun
    
    &SCOPED-DEFINE BUTTON_X_OFFSET_PIXELS 9
    &SCOPED-DEFINE BUTTON_Y_OFFSET_PIXELS 37
    &SCOPED-DEFINE BUTTON_WIDTH_PIXELS 30
    &SCOPED-DEFINE BUTTON_HEIGHT_PIXELS 20
    &SCOPED-DEFINE BUTTON_GAP_PIXELS 2

    /* Title */
    IF IcTitle > ""
    THEN FRAME {&FRAME-NAME}:TITLE = IcTitle.

    /* Create the buttons */
    /* Days of the week */
    DO iCount = 1 TO 7:
        CREATE BUTTON LhButton[iCount]
            ASSIGN LABEL = ENTRY(iCount,"{&DAYS_OF_THE_WEEK}")
                   FRAME = FRAME {&FRAME-NAME}:HANDLE
                   X = {&BUTTON_X_OFFSET_PIXELS} + ((iCount - 1) * ({&BUTTON_WIDTH_PIXELS} + {&BUTTON_GAP_PIXELS}))
                   Y = {&BUTTON_Y_OFFSET_PIXELS}
                   FLAT-BUTTON = TRUE
                   WIDTH-PIXELS = {&BUTTON_WIDTH_PIXELS}
                   HEIGHT-PIXELS = {&BUTTON_HEIGHT_PIXELS}
                   SENSITIVE = TRUE
                   .
    END.

    DO iCount = 8 TO 49:

        iRow = TRUNCATE((iCount - 1) / 7,0). 
        iCol = ((iCount - 1) MOD 7) + 1. /* MoFo Progress */

        CREATE FRAME hFrame
            ASSIGN FRAME = FRAME {&FRAME-NAME}:HANDLE
                   X = {&BUTTON_X_OFFSET_PIXELS} + ((iCol - 1) * ({&BUTTON_WIDTH_PIXELS} + {&BUTTON_GAP_PIXELS}))
                   Y = {&BUTTON_Y_OFFSET_PIXELS} + (iRow * ({&BUTTON_HEIGHT_PIXELS} + {&BUTTON_GAP_PIXELS}))
                   WIDTH-PIXELS = {&BUTTON_WIDTH_PIXELS}
                   HEIGHT-PIXELS = {&BUTTON_HEIGHT_PIXELS}
                   BOX = FALSE
                   FONT = FRAME {&FRAME-NAME}:FONT
                   THREE-D = TRUE
                TRIGGERS:
                    ON 'MOUSE-SELECT-DOWN':U PERSISTENT RUN PTrigger_DateSelected IN THIS-PROCEDURE.
                    ON 'MOUSE-SELECT-DBLCLICK':U PERSISTENT RUN PTrigger_DateDoubleClick IN THIS-PROCEDURE.
                END.
                   

        CREATE BUTTON LhButton[iCount]
            ASSIGN FRAME = hFrame
                   X = 0
                   Y = 0
                   
                   /*
                   X = {&BUTTON_X_OFFSET_PIXELS} + ((iCol - 1) * ({&BUTTON_WIDTH_PIXELS} + {&BUTTON_GAP_PIXELS}))
                   Y = {&BUTTON_Y_OFFSET_PIXELS} + (iRow * ({&BUTTON_HEIGHT_PIXELS} + {&BUTTON_GAP_PIXELS}))
                   */
                   FLAT-BUTTON = TRUE
                   WIDTH-PIXELS = {&BUTTON_WIDTH_PIXELS}
                   HEIGHT-PIXELS = {&BUTTON_HEIGHT_PIXELS}
                   SENSITIVE = TRUE
            TRIGGERS:
                ON 'MOUSE-SELECT-DOWN':U PERSISTENT RUN PTrigger_DateSelected IN THIS-PROCEDURE.
                ON 'MOUSE-SELECT-DBLCLICK':U PERSISTENT RUN PTrigger_DateDoubleClick IN THIS-PROCEDURE.
            END.
    END.

    /* Year combo */
    LiSelectedYear:LIST-ITEMS IN FRAME {&FRAME-NAME} = "".
        
    DO iCount = {&MIN_YEAR} TO {&MAX_YEAR}:
        LiSelectedYear:ADD-LAST(STRING(iCount)).
    END.

    BtnToday:TOOLTIP = STRING(TODAY,"99/99/9999").

    rectSelectedDate:MOVE-TO-TOP() IN FRAME {&FRAME-NAME}.

    IF SESSION:WINDOW-SYSTEM = "MS-WIN95"
    THEN DO:
        rectClassicBackground:MOVE-TO-BOTTOM().
        rectClassicBackground:VISIBLE = TRUE.
    END.
        
    RUN PSetDate(IF IdtInputDate = ? OR YEAR(IdtInputDate) > {&MAX_YEAR} OR YEAR(IdtInputDate) < {&MIN_YEAR} THEN TODAY ELSE IdtInputDate).

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _PROCEDURE PSetDate DialogFrame 
PROCEDURE PSetDate :
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  <none>
  Notes:       
------------------------------------------------------------------------------*/
    DEFINE INPUT PARAMETER IdtDate AS DATE NO-UNDO.

    DEFINE VARIABLE dtFirstOfMonth AS DATE NO-UNDO.
    DEFINE VARIABLE iStartDay AS INTEGER NO-UNDO.
    DEFINE VARIABLE iCount AS INTEGER NO-UNDO.
    DEFINE VARIABLE dtLoop AS DATE NO-UNDO.
    DEFINE VARIABLE iDaysInMonth AS INTEGER NO-UNDO.

    FORM WITH FRAME {&FRAME-NAME}.

    IdtDate = MIN(IdtDate,12/31/{&MAX_YEAR}).
    IdtDate = MAX(IdtDate,01/01/{&MIN_YEAR}).

    LiSelectedDay = DAY(IdtDate).
    LiSelectedMonth = MONTH(IdtDate).
    LiSelectedYear = YEAR(IdtDate).

    IF MONTH(LdtSelectedDate) = MONTH(IdtDate)
    AND YEAR(LdtSelectedDate) = YEAR(IdtDate)
    THEN DO:
        IF LiSelectedDateIdx > 0
        THEN DO:
            IF SESSION:WINDOW-SYSTEM <> "MS-WIN95"
            THEN LhButton[LiSelectedDateIdx]:FRAME:BGCOLOR = 15.
            ELSE LhButton[LiSelectedDateIdx]:FONT = 10. /* In case TODAY was selected */
        END.

        /* What's the new index? */
        LiSelectedDateIdx = IdtDate - DATE(LhButton[1 + 7]:PRIVATE-DATA) + 1 + 7.
    END.
    ELSE DO:
        IF VALID-HANDLE(LhTodayRectangle) THEN DELETE WIDGET LhTodayRectangle.
        
        dtFirstOfMonth = DATE(MONTH(IdtDate),1,YEAR(IdtDate)).
        /* iStartDay = ((WEEKDAY(dtFirstOfMonth) - 2) MODULO 7) + 1.  /* WEEKDAY -> Sunday = 1, we want Monday -> 1 */ */
        iStartDay = ((WEEKDAY(dtFirstOfMonth) - 3) MODULO 7) + 2. /* This puts a full line at top if week starts on a Monday */
        
        
        DO iCount = 1 TO 42:
            dtLoop = dtFirstOfMonth + iCount - iStartDay.
    
            ASSIGN LhButton[iCount + 7]:FONT = 10 /* in case TODAY was previously selected in classic mode */
                   LhButton[iCount + 7]:LABEL = STRING(DAY(dtLoop))
                   LhButton[iCount + 7]:PRIVATE-DATA = STRING(dtLoop)
                   LhButton[iCount + 7]:FRAME:PRIVATE-DATA = STRING(dtLoop)
                   .
    
            IF MONTH(dtLoop) = MONTH(IdtDate)
            THEN DO:
                LhButton[iCount + 7]:FRAME:BGCOLOR = 15.        
                IF SESSION:WINDOW-SYSTEM = "MS-WIN95"
                THEN LhButton[iCount + 7]:SENSITIVE = TRUE.
            END.
            ELSE DO:
                LhButton[iCount + 7]:FRAME:BGCOLOR = 8.
                IF SESSION:WINDOW-SYSTEM = "MS-WIN95"
                THEN LhButton[iCount + 7]:SENSITIVE = FALSE.
            END.
    
            /* This could be done with a single assign, but haven't yet worked out the logic */
            IF dtLoop = IdtDate 
            THEN DO:
                LiSelectedDateIdx = iCount + 7.
            END.

            IF dtLoop = TODAY
            THEN DO:
                CREATE RECTANGLE LhTodayRectangle
                    ASSIGN FRAME = FRAME {&FRAME-NAME}:HANDLE
                           X = LhButton[iCount + 7]:FRAME:X - 1
                           Y = LhButton[iCount + 7]:FRAME:Y - 1
                           WIDTH-PIXELS = {&BUTTON_WIDTH_PIXELS} + 2
                           HEIGHT-PIXELS = {&BUTTON_HEIGHT_PIXELS} + 2
                           EDGE-PIXELS = 1
                           FGCOLOR = 12
                           .
                LhTodayRectangle:MOVE-TO-TOP().
            END.
        END.

        /* Reset days in month combo */
        iDaysInMonth = FiDaysInMonthForDate(IdtDate).

        /* LiSelectedDay:INPUT-VALUE = "". /* Cos we're going to refresh */ */
        LiSelectedDay:LIST-ITEMS = "".
        /*
        /* If current day is too high for this month then adjust now */
        IF LiSelectedDay > iDaysInMonth  
        THEN LiSelectedDay:INPUT-VALUE = DAY(IdtDate).
        */
        
        DO iCount = 1 TO iDaysInMonth:
            LiSelectedDay:ADD-LAST(STRING(iCount)).
        END.

        /* "Accelerator" Tooltips */
        BtnPrevYear:TOOLTIP = STRING(LiSelectedYear - 1).
        BtnPrevMonth:TOOLTIP = LcMonthName[((LiSelectedMonth - 2) MODULO 12) + 1].
        BtnNextYear:TOOLTIP = STRING(LiSelectedYear + 1).
        BtnNextMonth:TOOLTIP = LcMonthName[(LiSelectedMonth MODULO 12) + 1].

    END.

    IF SESSION:WINDOW-SYSTEM <> "MS-WIN95"
    THEN LhButton[LiSelectedDateIdx]:FRAME:BGCOLOR = 7.
    ELSE LhButton[LiSelectedDateIdx]:FONT = 6. 


    rectSelectedDate:X IN FRAME {&FRAME-NAME}= LhButton[LiSelectedDateIdx]:FRAME:X - 1.
    rectSelectedDate:Y IN FRAME {&FRAME-NAME}= LhButton[LiSelectedDateIdx]:FRAME:Y - 1.
    /* rectSelectedDate:MOVE-TO-TOP() IN FRAME {&FRAME-NAME}. */
    

    /*
    
    IF VALID-HANDLE(LhButtonSelectedDate)
    THEN DELETE OBJECT LhButtonSelectedDate.
         
    
    CREATE BUTTON LhButtonSelectedDate
        ASSIGN
        
        WIDTH-PIXELS = {&BUTTON_WIDTH_PIXELS}
        HEIGHT-PIXELS = {&BUTTON_HEIGHT_PIXELS}
        FRAME = LhButton[LiSelectedDateIdx]:FRAME
        SENSITIVE = TRUE
        LABEL = LhButton[LiSelectedDateIdx]:LABEL
        VISIBLE = TRUE
        .
    
    LhButtonSelectedDate:MOVE-TO-TOP().
    
    APPLY "ENTRY" TO LhButtonSelectedDate.
    */

    /* Display the combos */
    DISPLAY LiSelectedDay LiSelectedMonth LiSelectedYear WITH FRAME {&FRAME-NAME}.

    LdtSelectedDate = IdtDate.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _PROCEDURE PSetDialogCoordinates DialogFrame 
PROCEDURE PSetDialogCoordinates :
/*------------------------------------------------------------------------------
  Purpose:     This is an attempt to position the dialog below the date fill-in.  
  Parameters:  <none>
  Notes:       For some reason on the front office, it's not exactly right, but can't fathom why.
------------------------------------------------------------------------------*/
    DEFINE VARIABLE iWindow-X AS INTEGER     NO-UNDO.
    DEFINE VARIABLE iWindow-Y AS INTEGER     NO-UNDO.
    DEFINE VARIABLE hObject AS HANDLE NO-UNDO.

    DEFINE VARIABLE lAccountForMenuBar AS LOGICAL NO-UNDO INITIAL ?.

    IF  VALID-HANDLE(FOCUS)
    AND FOCUS:TYPE = "BUTTON"
    AND VALID-HANDLE(FOCUS:PREV-TAB-ITEM)
    AND FOCUS:PREV-TAB-ITEM:TYPE = "FILL-IN"
    THEN DO:
        hObject = FOCUS:PREV-TAB-ITEM.

        DO WHILE(VALID-HANDLE(hObject) AND hObject:WINDOW = FOCUS:WINDOW):
            iWindow-X = iWindow-X + hObject:X.
            iWindow-Y = iWindow-Y + hObject:Y.
            
            
            /* {dbg.i hObject:TYPE hObject:X hObject:Y hObject:NAME hObject:WINDOW hObject:INSTANTIATING-PROCEDURE:NAME} */
            
            /*
            hObject = hObject:PARENT NO-ERROR. /* FIELD-GROUP */
            hObject = hObject:PARENT NO-ERROR.
            */
            IF hObject:TYPE = "DIALOG-BOX" THEN lAccountForMenuBar = FALSE.
            
            hObject = hObject:FRAME NO-ERROR.
        END.
    
        IF lAccountForMenuBar = ?
        THEN lAccountForMenuBar = FRAME {&FRAME-NAME}:WINDOW:MENU-BAR <> ?.

        FRAME {&FRAME-NAME}:X = iWindow-X + 8 /* + 5 */.
        FRAME {&FRAME-NAME}:Y = iWindow-Y + (IF lAccountForMenuBar THEN 73 ELSE 53) /* + 5 */.
    END.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _PROCEDURE PTrigger_DateDoubleClick DialogFrame 
PROCEDURE PTrigger_DateDoubleClick :
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  <none>
  Notes:       
------------------------------------------------------------------------------*/
    IF DATE(SELF:PRIVATE-DATA) = LdtSelectedDate /* if haven't selected another month's date, which would have moved by now */
    THEN APPLY "CHOOSE" TO Btn_OK IN FRAME {&FRAME-NAME}.
END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _PROCEDURE PTrigger_DateSelected DialogFrame 
PROCEDURE PTrigger_DateSelected :
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  <none>
  Notes:       
------------------------------------------------------------------------------*/
    RUN PSetDate(DATE(SELF:PRIVATE-DATA)).
    APPLY "ENTRY" TO Btn_OK IN FRAME {&FRAME-NAME}.
END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

/* ************************  Function Implementations ***************** */

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _FUNCTION FiDaysInMonthForDate DialogFrame 
FUNCTION FiDaysInMonthForDate RETURNS INTEGER
  ( INPUT IdtDate AS DATE ) :
/*------------------------------------------------------------------------------
  Purpose:  
    Notes:  Just define lots of variables to make this as simple as possible
------------------------------------------------------------------------------*/
    
    DEFINE VARIABLE iThisMonth AS INTEGER NO-UNDO.
    DEFINE VARIABLE iThisYear AS INTEGER NO-UNDO.
    DEFINE VARIABLE iNextMonth AS INTEGER NO-UNDO.
    DEFINE VARIABLE iNextMonthsYear AS INTEGER NO-UNDO.

    iThisMonth = MONTH(IdtDate).
    iThisYear = YEAR(IdtDate).

    iNextMonth = iThisMonth + 1.
    iNextMonthsYear = iThisYear.

    IF iNextMonth = 13
    THEN ASSIGN
        iNextMonth = 1
        iNextMonthsYear = iNextMonthsYear + 1.

    RETURN DATE(iNextMonth,1,iNextMonthsYear) - DATE(iThisMonth,1,iThisYear).

END FUNCTION.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

