&ANALYZE-SUSPEND _VERSION-NUMBER UIB_v9r12
&ANALYZE-RESUME
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CUSTOM _DEFINITIONS Method-Library 
/*
Description:
    Super procedure general functions

    Includes an extension of start-super-proc which also copies super
    procedures from THIS-PROCEDURE to a newly-ran super proc

    copy of CMS cosuprmli0.i

    
Arguments:
	
Comments:


************************************************************************/

/* ***************************  Definitions  ************************** */

{adbgdef0.i}

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&ANALYZE-SUSPEND _UIB-PREPROCESSOR-BLOCK 

/* ********************  Preprocessor Definitions  ******************** */



/* _UIB-PREPROCESSOR-BLOCK-END */
&ANALYZE-RESUME



/* *********************** Procedure Settings ************************ */

&ANALYZE-SUSPEND _PROCEDURE-SETTINGS
/* Settings for THIS-PROCEDURE
   Type: Method-Library
   Allow: 
   Frames: 0
   Add Fields to: Neither
   Other Settings: INCLUDE-ONLY
 */
&ANALYZE-RESUME _END-PROCEDURE-SETTINGS

/* *************************  Create Window  ************************** */

&ANALYZE-SUSPEND _CREATE-WINDOW
/* DESIGN Window definition (used by the UIB) 
  CREATE WINDOW Method-Library ASSIGN
         HEIGHT             = 7.96
         WIDTH              = 60.
/* END WINDOW DEFINITION */
                                                                        */
&ANALYZE-RESUME

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CUSTOM _INCLUDED-LIB Method-Library 
/* ************************* Included-Libraries *********************** */

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


 


&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CUSTOM _MAIN-BLOCK Method-Library 


/* ***************************  Main Block  *************************** */

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


/* **********************  Internal Procedures  *********************** */

&IF DEFINED(EXCLUDE-POISStartSuperProc) = 0 &THEN

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _PROCEDURE POISStartSuperProc Method-Library 
PROCEDURE POISStartSuperProc :
/*------------------------------------------------------------------------------
  Purpose:     Starts a super proc for THIS-PROCEDURE, then copies all existing
               supers of THIS-PROCEDURE to supers of the newly ran super proc
               (if it was newly ran by start-super-proc)
------------------------------------------------------------------------------*/

    DEFINE INPUT PARAM PcProcName               AS CHAR             NO-UNDO.
    
    DEFINE VARIABLE VcSuperProcsBefore          AS CHAR             NO-UNDO.
    DEFINE VARIABLE VhSuperProc                 AS HANDLE           NO-UNDO.
    DEFINE VARIABLE ViCount                     AS INT              NO-UNDO.

    &scop m POISStartSuperProc running
    {adbgmsg0.i PcProcName}

    ASSIGN    
        VcSuperProcsBefore = THIS-PROCEDURE:SUPER-PROCEDURES
        VhSuperProc = ?
        .

    /* This part copied from smrtprop.i start-super-proc */
    
          /*DEFINE INPUT PARAMETER pcProcName AS CHARACTER NO-UNDO.*/
          DEFINE VARIABLE        hProc      AS HANDLE    NO-UNDO.

          hProc = SESSION:FIRST-PROCEDURE.
          DO WHILE VALID-HANDLE(hProc) AND hProc:FILE-NAME NE pcProcName:
            hProc = hProc:NEXT-SIBLING.
          END.
          IF NOT VALID-HANDLE(hProc) THEN
          DO:
            RUN VALUE(pcProcName) PERSISTENT SET hProc.
            VhSuperProc = hProc.
          END.
          /* 9.1 - added SEARCH-TARGET keyword */
          THIS-PROCEDURE:ADD-SUPER-PROCEDURE(hProc,SEARCH-TARGET).
          
          /*RETURN.*/


/* Removed following section in 9.1.
   9.1 does not need super procs to have super procs themselves as SEARCH-TARGET is used on 
   ADD-SUPER-PROCEDURE statements.
*/
/*     /* If we just did the RUN PERSISTENT then add each super proc of this-procedure                */
/*        to VhSuperProc */                                                                           */
/*     IF VALID-HANDLE(VhSuperProc) THEN                                                              */
/*     CopySupersBlock:                                                                               */
/*     DO:                                                                                            */
/*                                                                                                    */
/*         /* Check if the super is marked as not wanting supers itself */                            */
/*         IF LOOKUP("getAlPreventSuperChainCopy",VhSuperProc:INTERNAL-ENTRIES) > 0 AND               */
/*            {fn getAlPreventSuperChainCopy VhSuperProc} THEN                                        */
/*         DO:                                                                                        */
/*             &SCOP m Not copying supers                                                             */
/*             {adbgmsg0.i}                                                                         */
/*             LEAVE CopySupersBlock.                                                                 */
/*         END.                                                                                       */
/*                                                                                                    */
/*         &SCOP m copying supers now....                                                             */
/*         {adbgmsg0.i}                                                                             */
/*                                                                                                    */
/*         /* Add in reverse order to get stacking correct */                                         */
/*         DO ViCount = NUM-ENTRIES(VcSuperProcsBefore) TO 1 BY -1:                                   */
/*             IF LOOKUP(ENTRY(ViCount,VcSuperProcsBefore),VhSuperProc:SUPER-PROCEDURES) > 0 THEN     */
/*                 . /* OK */                                                                         */
/*             ELSE                                                                                   */
/*                 VhSuperProc:ADD-SUPER-PROCEDURE(WIDGET-HANDLE(ENTRY(ViCount,VcSuperProcsBefore))). */
/*         END.                                                                                       */
/*                                                                                                    */
/*     END.                                                                                           */
/*     ELSE                                                                                           */
/*     DO:                                                                                            */
/*         &SCOP m No need to copy supers as we didnt do the RUN PERSISTENT                           */
/*         {adbgmsg0.i}                                                                             */
/*     END.                                                                                           */

    &GLOB EXCLUDE-POISStartSuperProc yes    

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ENDIF

